MULTICOPTER.RU
http://multicopter.ru/forum/

Совместимость версий FC и MK-Tool
http://multicopter.ru/forum/viewtopic.php?f=3&t=1243
Страница 2 из 2

Автор:  fadertan [ 24 сен 2011, 16:00 ]
Заголовок сообщения:  Re: Совместимость версий FC и MK-Tool

Цитата:
Прошивать FC не пробовал. Да и нужно ли?

Если не ошибаюсь, MK-Tool неуниверсален и несовместим со всеми прошлыми прошивками, частично в той или иной мере. Нужно использовать совместимые прошивки FC+NC и версию программы, поддерживающую их. Лучше всего - последние.

Автор:  Маныч [ 24 сен 2011, 16:58 ]
Заголовок сообщения:  Re: Совместимость версий FC и MK-Tool

Нашёл!

Методом перебора обнаружилось, что с моей FC 2.1 0.80g работает только MK-Tool 1.70a

Автор:  Маныч [ 24 сен 2011, 23:59 ]
Заголовок сообщения:  Re: Совместимость версий FC и MK-Tool

Пока не получается победить ошибку 3 "no FC communication". Почитав форум, начал подозревать, что может иметь место несовместимость версий NC и FC.
То есть лучше всего, взять самую свежую прошивку FC и самую свежую прошивку NC?

Вообще будет ли работать FC 2.1 c NC 1.1 ?

Где брать свежую прошивку для NC 1.1? И как её прошивать?

Автор:  Nikolaitch_SPb [ 25 сен 2011, 08:31 ]
Заголовок сообщения:  Re: Совместимость версий FC и MK-Tool

Маныч писал(а):
Пока не получается победить ошибку 3 "no FC communication". Почитав форум, начал подозревать, что может иметь место несовместимость версий NC и FC.
То есть лучше всего, взять самую свежую прошивку FC и самую свежую прошивку NC?

Вообще будет ли работать FC 2.1 c NC 1.1 ?

Конечно будет!
Цитата:
Где брать свежую прошивку для NC 1.1? И как её прошивать?

Вот: http://www.mikrokopter.de/ucwiki/Firmware-0.86?highlight=%28%28----%28-%2A%29%28%5Cr%29%3F%5Cn%29%28.%2A%29KategorieFirmware%29
Через MKUSB: Отключить Нави от ФС, подключить к "debug", и в MKTools выбрать обновление.

Страница 2 из 2 Часовой пояс: UTC + 3 часа
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/